<template>
  <v-btn
    v-if="Boolean(country)"
    small
    color="primary"
    class="typo--text mx-1 my-1 text-truncate"
    max-width="300"
    :to="{ name: 'countries.details', params: { id: code } }"
  >
    <span class="text-truncate" style="max-width: 250px">
      {{ country.name }}
    </span>
  </v-btn>
</template>

<script>
import { getCountriesByCode } from "@/api/countries";
import message from "@/tools/Message";
export default {
  name: "CountryBorder",
  props: {
    code: {
      type: String,
    },
  },
  data() {
    return {
      RETURN_FIELD: ["code", "name"],
      country: null,
    };
  },
  methods: {
    async fetchCountryNameByCountryCode(code) {
      try {
        this.country = await getCountriesByCode(code, this.RETURN_FIELD);
      } catch (err) {
        message.error(err.response.data.message);
      }
    },
  },
  created() {
    if (!this.code) this.$_backNavigator();

    this.fetchCountryNameByCountryCode(this.code);
  },
};
</script>

<style scoped></style>
